> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List reps



## OpenAPI

````yaml /openapi.json get /v1/reps/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/reps/:
    get:
      tags:
        - Reps
      summary: List reps
      operationId: v1_reps_list
      parameters:
        - in: query
          name: custom_fields
          schema:
            type: string
        - in: query
          name: email
          schema:
            type: string
        - in: query
          name: identifier
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedRepList'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    PaginatedRepList:
      type: array
      items:
        $ref: '#/components/schemas/Rep'
    Rep:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        identifier:
          type: string
          minLength: 1
          description: Must be unique.
          maxLength: 30
        name:
          type: string
          minLength: 1
          maxLength: 100
        email:
          oneOf:
            - type: string
              format: email
              default: ''
            - type: string
              maxLength: 0
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/RepCustomField'
      required:
        - custom_fields
        - id
        - identifier
        - name
    RepCustomField:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          readOnly: true
        value:
          nullable: true
      required:
        - id
        - name
        - value
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````